/*
Href: /skins/_System/csharp.css, Media: 
Href: /skins/_System/commonstyle.css, Media: 
Href: /skins/_System/commonlayout.css, Media: 
Href: /css/lightbox.css, Media: screen
Href: /Skins/Piyo/print.css, Media: print
Href: /Skins/Piyo/style.css, Media: 
*/

/* Href: /skins/_System/csharp.css, Media:  */
.csharpcode,.csharpcode pre{font-size:small;color:black;font-family:Consolas,"Courier New",Courier,Monospace;background-color:#fff;}.csharpcode pre{margin:0;}.csharpcode .rem{color:#008000;}.csharpcode .kwrd{color:#00f;}.csharpcode .str{color:#006080;}.csharpcode .op{color:#0000c0;}.csharpcode .preproc{color:#c63;}.csharpcode .asp{background-color:#ff0;}.csharpcode .html{color:#800000;}.csharpcode .attr{color:#f00;}.csharpcode .alt{background-color:#f4f4f4;width:100%;margin:0;}.csharpcode .lnum{color:#606060;}
/* Href: /skins/_System/commonstyle.css, Media:  */
table{border-collapse:collapse;}.dropcap{float:left;font:4em georgia,helvetica,verdana,arial,sans-serif;border:solid 1px;padding:5px;margin-right:5px;}.dropshadow{float:left;clear:left;background:url(../../images/shadowAlpha.png) no-repeat bottom right!important;background:url(../../images/shadow.gif) no-repeat bottom right;margin:10px 0 10px 10px!important;margin:10px 0 10px 5px;padding:0;display:block;}.innerbox{position:relative;bottom:6px;right:6px;border:1px solid #999;padding:4px;margin:0;display:block;}.innerbox{\margin:0 0 -3px 0;ma\rgin:0;}div.debug{font-size:x-small;width:200px;position:absolute;}a.printIcon{background:url('../../images/printer.png') no-repeat top left;padding-bottom:4px;}a.printIcon span{background:url('../../images/printer.png') no-repeat top left;padding-left:17px;}.shareIcon{background:url('../../images/share-icon-16x16.png') no-repeat center left;}img.avatar{float:left;width:50px;padding:5px;border:0;display:block;}.accessKey{text-decoration:underline;}.pullout{display:block;width:30%;padding:10px;background-color:#ddd;float:right;font:bold 1em arial,helvetica,sans-serif;text-align:left;letter-spacing:.05em;margin:5px;clear:both;border:solid 1px;}.pullout .alt{float:left;}blockquote.withline{text-align:justify;padding:5px;border-left:1px solid #9ACD32;}dl.form dt{height:18px;margin-top:5px;}dl.form dd{margin-left:0;}dl.form input{width:300px;}dl.form textarea{width:400px;height:200px;}label.required{font-weight:bold;}ul.horizontal{list-style:none;}ul.horizontal li{display:inline;}.postTitle,.postTitleDate{clear:both;}.clear{clear:both;}.left{float:left;}.right{float:right;}.block{display:block;}.inline{display:inline;}#tag-cloud{font-size:1em;margin:0;padding:0;}#tag-cloud li{display:inline;list-style-type:none;}#tag-cloud li,#tag-cloud li a{display:inline;}#tag-cloud li{padding:2px 3px;}.tag-style-1{font-size:.8em;font-weight:normal;}.tag-style-2{font-size:1em;font-weight:normal;}.tag-style-3{font-size:1.2em;font-weight:bold;}.tag-style-4{font-size:1.4em;font-weight:normal;}.tag-style-5{font-size:1.6em;font-weight:bold;}.tag-style-6{font-size:1.8em;font-weight:bold;}.tag-style-7{font-size:2em;font-weight:bold;}#related-results{border:solid 1px #777;margin:0;padding:0;}#related-results h2{margin:0;background-color:#ffa;padding:4px;border-top:solid 1px #ffd;border-right:solid 1px #ffd;border-left:solid 1px #ffd;border-bottom:solid 1px #dc0;}#related-results div.content{padding:8px;}#related-results ul li{margin-left:15px;}#related-results a.close{float:right;display:block;width:32px;height:24px;background:transparent url(../../images/icons/cross.png) no-repeat center center;}#related-results a.close:hover{background-color:#ffc;}#related-results p{margin-top:0;}#related-results span.search-term{font-style:italic;color:#009;font-size:1.1em;}a.more-results{font-weight:bold;font-style:italic;}#search-progress{background:url(../../images/loaders/subtext-loader.gif) no-repeat;width:32px;height:32px;margin:4px auto;}#searchResults{z-index:100;}#searchWrapper{position:relative;width:100%;}a.closeSearch{position:absolute;top:0;right:4px;display:block;}.commentInfo{clear:left;}a.edit-comment{background:transparent url(../../images/icons/edit.gif) no-repeat scroll left center;padding-left:20px;}.btn{cursor:pointer;}
/* Href: /skins/_System/commonlayout.css, Media:  */
#search{float:right;width:280px;}#search #searchResults{z-index:100;position:relative;padding:5px;margin:0;border:solid 1px;}#searchResults ul{padding:0;margin:5px;}#searchResults ul li{list-style-position:inside;}div.previousNext{width:100%;text-align:center;font-size:.9em;padding:4px;}#blogStats{float:right;text-align:right;font-size:.7em;}#blogStats dt,#blogStats dd{float:left;margin:0;}#blogStats dt{padding-right:2px;margin-right:2px;text-transform:lowercase;}#blogStats dd{margin-right:7px;}div.captcha{margin:2px 0 8px 6px;}div.captcha img{width:180px;height:50px;border:solid 1px #999;display:block;}div.captcha label{display:inline;float:left;}div.captcha input{margin-left:4px;display:inline;}
/* Href: /css/lightbox.css, Media: screen */
@media screen{
#lightbox{
	position: absolute;
	left: 0;
	width: 100%;
	z-index: 100;
	text-align: center;
	line-height: 0;
	}

#lightbox a img{ border: none; }

#outerImageContainer{
	position: relative;
	background-color: #fff;
	width: 250px;
	height: 250px;
	margin: 0 auto;
	}

#imageContainer{
	padding: 10px;
	}

#loading{
	position: absolute;
	top: 40%;
	left: 0%;
	height: 25%;
	width: 100%;
	text-align: center;
	line-height: 0;
	}
#hoverNav{
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	z-index: 10;
	}
#imageContainer>#hoverNav{ left: 0;}
#hoverNav a{ outline: none;}

#loadingLink 
{
	display: block;
	width: 32px;
	height: 32px;
	background: transparent url(../../images/lightbox/loading.gif) no-repeat; /* Trick IE into showing hover */
	margin: auto;
}

#closeLink 
{
	width: 66px;
	height: 22px;
	background: transparent url(../../images/lightbox/close.gif) no-repeat; /* Trick IE into showing hover */
}

#prevLink, #nextLink{
	width: 49%;
	height: 100%;
	background: transparent url(../../images/lightbox/blank.gif) no-repeat; /* Trick IE into showing hover */
	display: block;
	}
#prevLink { left: 0; float: left;}
#nextLink { right: 0; float: right;}
#prevLink:hover, #prevLink:visited:hover { background: url(../../images/lightbox/prevlabel.gif) left 50% no-repeat; }
#nextLink:hover, #nextLink:visited:hover { background: url(../../images/lightbox/nextlabel.gif) right 50% no-repeat; }

/*** START : next / previous text links ***/
#nextLinkText, #prevLinkText{
font-weight:bold;
text-decoration: none;
}
#nextLinkText{
padding-left: 20px;
}
#prevLinkText{
padding-right: 20px;
}
/*** END : next / previous text links ***/
/*** START : added padding when navbar is on top ***/

.ontop #imageData {
    padding-top: 5px;
}

/*** END : added padding when navbar is on top ***/

#imageDataContainer{
	font: 10px Verdana, Helvetica, sans-serif;
	background-color: #fff;
	margin: 0 auto;
	line-height: 1.4em;
	}

#imageData{
	padding:0 10px;
	}
#imageData #imageDetails{ width: 70%; float: left; text-align: left; }	
#imageData #caption{ font-weight: bold;	}
#imageData #numberDisplay{ display: block; clear: left; padding-bottom: 1.0em;	}
#imageData #bottomNavClose{ width: 66px; float: right;  padding-bottom: 0.7em;	}
#imageData #helpDisplay {clear: left; float: left; display: block; }

#overlay{
	position: absolute;
	top: 0;
	left: 0;
	z-index: 90;
	width: 100%;
	height: 500px;
	background-color: #000;
	filter:alpha(opacity=60);
	-moz-opacity: 0.6;
	opacity: 0.6;
	display: none;
	}
	

.clearfix:after {
	content: "."; 
	display: block; 
	height: 0; 
	clear: both; 
	visibility: hidden;
	}

* html>body .clearfix {
	display: inline-block; 
	width: 100%;
	}

* html .clearfix {
	/* Hides from IE-mac \*/
	height: 1%;
	/* End hide from IE-mac */
	}	

#lightboxIframe {
	display: none;
}	
}
/* Href: /Skins/Piyo/print.css, Media: print */
@media print{
body{font:76%/162% 'Lucida Sans Unicode','Lucida Grande','Bitstream Vera Sans','Trebuchet MS',Geneva,Arial,sans-serif;background:#fff;text-align:center;width:100%;}#main{width:100%;}#overlay,#contentHeadLeft,#contentHeadCenter,#contentHeadRight,#contentBodyLeft,#contentBodyRight,#contentHeadRight,#contentFootLeft,#contentFootCenter,#contentFootRight,#content{background:#fff;}#column,#calendar,#links,#subtext,#Hyperlink2,#switcher,.printIcon,#commentform{display:none;}#content,div.entry{width:100%;padding:0;margin:0;}
}
/* Href: /Skins/Piyo/style.css, Media:  */
body{font:76%/162% 'Lucida Sans Unicode','Lucida Grande','Bitstream Vera Sans','Trebuchet MS',Geneva,Arial,sans-serif;background:#FAFCFD url(Images/asual-bg.jpg) repeat-x;color:#000;text-align:center;}input,textarea,select{font:100% 'Lucida Sans Unicode','Lucida Grande','Bitstream Vera Sans','Trebuchet MS',Geneva,Arial,sans-serif;}body,div,p,img,ul,li,h1,h2,h3,h4,h5,h6,form{margin:0;padding:0;border:0;}a{color:#285090;}a:visited{color:#333;}a:hover{color:#A30000;}#main{margin:0 auto;text-align:left;}#header{height:7.5em;}#name{float:left;margin-right:-24em;}#name h1{font-size:200%;margin:26px 0 6px 43px;}#name h2{font-size:120%;font-weight:normal;margin-left:43px;color:#333;}#name a{text-decoration:none;color:#285090;margin-left:-1px;}#controls{float:right;width:25em;border:0;margin:26px 43px 0 0;display:inline;}#searchform{text-align:right;}#searchlabel{margin-right:4px;}#searchfield{width:12em;border:1px solid #285090;}#searchimage{vertical-align:middle;}#switcher{width:12em;float:right;display:inline;margin:4px 22px 0 0;text-align:center;}#switcher a{font-size:84%;text-decoration:none;color:#000;background:#FAFCFD;padding:0;border-top:1px solid #FAFCFD;border-bottom:1px solid #FAFCFD;}#switcher a span{border-top:1px solid #FAFCFD;border-bottom:1px solid #FAFCFD;height:100%;margin:-1px 1px;padding:0 2px;}#switcher a:hover{color:#FAFCFD;background:#285090;padding:0;border-top:1px solid #93A9C9;border-bottom:1px solid #93A9C9;}#switcher a:hover span{border-top:1px solid #285090;border-bottom:1px solid #285090;}#footer{display:block;clear:both;margin:-10px 43px 0;height:2.8em;color:#000;}#footer p{font-size:84%;}#copyright{float:left;}#info{float:right;}#info a{color:#285090;text-decoration:none;padding:1px 0;}#info a:hover{text-decoration:underline;}#contentHeadLeft{background:#FAFCFD url(Images/asual-headleft.jpg) no-repeat;height:28px;padding-left:22px;}#contentHeadCenter{background:url(Images/asual-headcenter.jpg) repeat-x;height:100%;margin:0 6px;}#contentHeadRight{background:url(Images/asual-headright.jpg) no-repeat right;height:100%;padding-right:22px;}#contentBodyLeft{background:url(Images/asual-bodyleft.jpg) repeat-y;padding-left:22px;clear:both;}#contentBodyCenter{height:auto;background:url(Images/asual-bodycenter.jpg);}#contentBodyRight{padding-right:22px;background:url(Images/asual-bodyright.jpg) repeat-y right;}#contentFootLeft{background:#FAFCFD url(Images/asual-footleft.jpg) no-repeat;height:28px;padding-left:22px;clear:both;}#contentFootCenter{background:url(Images/asual-footcenter.jpg) repeat-x;height:100%;margin:0 6px;}#contentFootRight{background:url(Images/asual-footright.jpg) no-repeat right;height:100%;padding-right:22px;}#content{background:#D5DEED url(Images/asual-content.jpg) repeat-x;width:auto;height:300px;margin:0;padding:16px 22px 0;color:#000;}#entries{width:100%;float:left;clear:both;margin-right:-18em;}* html #entries{overflow:hidden;}#column{font-size:92%;width:18em;float:right;background:url(Images/asual-bodycenter.jpg);}#column a.rounded{color:#285090;background:#D4DEEC;text-decoration:none;border-top:1px solid #D4DEEC;border-bottom:1px solid #D4DEEC;}#column a.rounded span{margin:-1px 1px;padding:0 2px;border-top:1px solid #D4DEEC;border-bottom:1px solid #D4DEEC;}#column a.rounded:hover{color:#FAFCFD;background:#285090;border-top:1px solid #93A9C9;border-bottom:1px solid #93A9C9;}#column a.rounded:hover span{border-top:1px solid #285090;border-bottom:1px solid #285090;}#column a.rounded span.break{width:0;margin:0;padding:0;}.links{padding:0;margin:0;line-height:120%;}.links h5{font-size:100%;font-weight:bold;margin:1.2em 0 .5em 0;padding:0;clear:both;}.links ul{list-style:none;}.links li{margin-bottom:.8em;list-style:none;padding-left:4px;}#subtext{display:block;margin-top:1em;}div.entry{padding:0;margin:0 18em 2em 0;}div.entry div,div.entry p{margin-bottom:1.2em;}div.entry h3{font-size:100%;font-weight:bold;color:#285090;margin-top:-.2em;}div.entry h4{font-size:130%;font-weight:normal;padding-bottom:.2em;border-bottom:1px solid #839ABF;}div.entry h4 a,div.entry h4 a:visited{color:#A30000;text-decoration:none;}div.entry h4 a:hover{color:#000;}div.entry ul,div.entry ol,div.entry dl{margin:10px 0;padding:0;}div.entry li{margin-left:10px;padding:0 0 .4em 12px;list-style:none;background:url(Images/asual-disc.jpg) no-repeat 0 .6em;}div.entry blockquote{margin:10px;padding-left:20px;background:url(Images/asual-blockquote.jpg) no-repeat;}div.entry tt{font-size:120%;font-weight:bold;color:#333;}div.entry .post{padding-top:1em;}div.entry .info{color:#333;margin-bottom:0;}div.entry .info a,div.entry .info a:visited{color:#285090;}div.entry .info a:hover{color:#A30000;}div.entry .links{color:#000;}div.entry .links a,div.entry .links a:visited{color:#285090;}div.entry .links a:hover{color:#A30000;}div.entry .commentslink a{float:left;margin:0 6px 1.8em -4px;padding:1px;}div.entry .commentslink a span{float:left;background:url(Images/asual-commentslink.jpg) no-repeat -22px .1em;width:22px;height:22px;margin-right:2px;vertical-align:middle;}div.entry .commentslink a:hover span{background:url(Images/asual-commentslink.jpg) no-repeat 0 .1em;}div.entry .trackbackslink a{float:left;margin:0 0 1.8em 4px;padding:1px;}div.entry .trackbackslink a span{float:left;background:url(Images/asual-trackbackslink.jpg) no-repeat -22px .1em;width:22px;height:22px;margin-right:3px;vertical-align:middle;}div.entry .trackbackslink a:hover span{background:url(Images/asual-trackbackslink.jpg) no-repeat 0 .1em;}div.entryDate{padding:0;}div.entryDate h3{font-size:100%;font-weight:bold;color:#285090;margin-top:-.2em;}div.comment{margin:0 0 1em 0;}div.trackback{margin:0 18em 1em 0;}div.comment .info,div.trackback .info{color:#333;margin-bottom:.2em;padding-left:26px;height:22px;display:block;}div.comment .info{background:url(Images/asual-comments.jpg) no-repeat 0 .1em;}div.trackback .info{background:url(Images/asual-trackbacks.jpg) no-repeat 0 .1em;}div.comment .post,div.trackback .post{margin-left:58px;}div.comment .post div,div.trackback .post div{border:1px solid #285090;background:#F1F7FB;padding:1.2em 1.2em 1.2em 26px;display:block;}div.author .post div{border:solid 1px #967758;background:#ffffef url(images/CommentAuthorGradient.gif) repeat-x top left;}div.comment .gravatar{float:left;}.gravatar img{border:3px solid #285090;}#trackback{margin:0 18em 3em 0;}#comments{margin:0 18em 3em 0;}#comments h3{display:block;font-size:100%;font-weight:bold;color:#000;clear:both;border-bottom:1px solid #285090;margin-bottom:1.8em;}#commentform{display:block;}#comment-fields{width:600px;float:left;}#commentform .label{width:8em;clear:both;float:left;margin-bottom:.4em;}#commentform .input{width:450px;float:left;margin-bottom:.4em;}#commentform .input span{float:left;display:inline;margin-left:5px;}#commentform input.fixed{width:160px;float:left;border:1px solid #285090;}#commentform textarea.fixed{width:300px;float:left;border:1px solid #285090;}#commentform .button{width:auto;float:left;}#commentform textarea{overflow:auto;}#commentform h4{font-size:100%;font-weight:bold;color:#000;clear:both;}#commentPreview{display:block;margin:0 0 1.8em 0;}#commentPreview p{margin-bottom:.8em;}img.emoticons{vertical-align:middle;}.author{color:#000;}.author a{color:#000;}.author a:hover{color:#A30000;}.red{color:#A30000;}.clear{clear:both;height:0;}#calendar{border:1px solid #839ABF;background:#F1F7FB;padding:.6em .6em 1em;text-align:center;}#calendar table{margin:0 auto;}#calendar tbody a{display:block;background:#285090;text-align:center;text-decoration:none;color:#FAFCFD;border-top:1px solid #A5B8D3;border-bottom:1px solid #A5B8D3;}#calendar tbody a:hover{color:#FAFCFD;background:#A30000;border-top:1px solid #E39A9D;border-bottom:1px solid #E39A9D;}#entryCal{color:#000;width:16.5em;border:none!important;}#entryCal td{background-color:#F1F7FB!important;width:100%;}#entryCal td.day{width:15%!important;}#entryCal td.day-header{font-size:94%;font-weight:normal;color:#285090;width:15%!important;}#entryCal td a{border:none!important;}#entryCal .title td{width:100%;}#entryCal .title td a{background-color:#F1F7FB!important;}#entryCal .today{color:#000!important;background-color:#F1F7FB!important;}#entryCal .other-month{visibility:hidden;width:15%!important;}#entryCal .title{background-color:#F1F7FB!important;padding:4px;border-bottom:none!important;font-size:120%;font-weight:bold;text-align:center;padding-bottom:.2em;color:#A30000;}#entryCal .next{font-size:120%;font-weight:bold;text-align:center;padding-bottom:.2em;color:#A30000;}#entryCal .next a{color:#285090;margin:0 .8em;text-decoration:none;background-color:#F1F7FB!important;}#entryCal .next a:hover{color:#000;}.Thumbnail{padding:0;margin:2em 18em 2em 2em;}.Thumbnail a img{border:1px solid black;margin:15px;}kbd{background-color:#ddd;border-right:1px solid #ccc;border-bottom:1px solid #ccc;font-size:inherit;font-family:inherit;padding:0 3px 2px 4px;}#content{height:auto;padding-bottom:300px;}#contentBodyLeft{background-color:#D5DEED;}#contentBodyCenter{background:none;}div.debug{display:none;}div.previousNext{width:550px;margin-bottom:10px;}#tag-cloud{padding:5px 0;width:500px;}#tag-cloud li{display:inline;}.cocomment-minibar{clear:both;}#tag-cloud li a{text-decoration:none;}#search{position:relative;width:300px;text-align:right;padding:0;margin:6px 0 0 0;}#search-box{padding:0;margin:0 0 5px 0;width:100%;float:none;}#search input{margin:0;padding:0;}#search input.searchterm{width:125px;border:solid 1px #444;}#search-results{width:300px;min-width:300px;position:absolute;top:18px;right:28px;z-index:10;text-align:left;}#search-results h5{font-size:1em;color:#444;margin:0;padding:0;width:300px;}#search-results ul{padding:0;margin:0 0 0 8px;width:100%;}#search-results ul li{padding:0;margin:0:;}#search-results div.innerbox{background-color:#f6f6f6;padding:10px;}#search a.close{position:absolute;top:0;right:4px;display:block;}#search-progress{position:absolute;top:-8px;left:80px;}.searchButton{background-color:Transparent;background-image:url(images/asual-search.jpg);width:22px;height:22px;}